+ Post New Thread
Page 1 of 654 1 2 3 11 51 101 501 ... LastLast
Threads 1 to 25 of 16331

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 96,238
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 77,798
    18th Sep 2006 10:46 pm Go to last post
  1. hello, any one can help me make multiple leader match same angle

    HELP, does any one have a method or lisp can make multiple leader arrange and match same angle ,because my job need to make a lot of multiple leader arrange ,anyone can suggest solve the problem ?? ...

    Started by mikewong0719‎, 26th Mar 2018 02:40 am
    4 Pages
    1 2 3 ... 4
    • Replies: 30
    • Views: 1,002
    Today 10:10 am Go to last post
  2. Dear guys . Find the lisp and please help me .... following dwg file.

    Dear guys . Find the lisp and please help me .... following dwg file. Forgive my english level. ... so.... so muck low. sorry~. I 'm waiting your answer~. good day~!

    Started by nest1291‎, Yesterday 02:35 pm
    • Replies: 4
    • Views: 153
    Today 09:33 am Go to last post
  3. alert given if the text is not found

    Hello, I found a lisp on Lee`s website to search for and select text. A nice short routine and works perfectly. Now my question is: can an alert be given "not found" if the text is not found in...

    Started by pmxcad‎, Yesterday 04:06 pm
    • Replies: 4
    • Views: 131
    Today 09:25 am Go to last post
  4. Lisp or Script to populate next Revision attributes in Title Block

    Hello, This is my first post and I've found much help here over the years. I'm using AutoCAD 2017 and have a title block named "PLC_Anadarko_D_Bord_2017" which is always inserted 0,0 and is...

    Started by Billy Ray‎, 19th Jun 2018 05:14 pm
    3 Pages
    1 2 3
    • Replies: 22
    • Views: 358
    Today 04:35 am Go to last post
  5. Smile Acad Group

    Please help! I have this Lisp that shows me the groups of the list one after the other. How can I change this lisp so that all groups, including the anonymous groups and named groups, are shown one...

    Started by martinle‎, Yesterday 12:30 pm
    • Replies: 6
    • Views: 162
    Yesterday 08:43 pm Go to last post
  6. Exclamation symbol

    Hi, I'm getting this exclamation symbol in my drawing with leader. can anyone suggest me how to get rid of it?

    Started by lucky9‎, Yesterday 06:42 pm
    • Replies: 3
    • Views: 106
    Yesterday 06:59 pm Go to last post
  7. Appending text

    Greetings, and a question. I’m trying to modify the naming of a model space view that is created with a custom program written long ago. Currently, the model space view name made by this program...

    Started by StevJ‎, Yesterday 05:41 am
    • Replies: 3
    • Views: 122
    Yesterday 05:21 pm Go to last post
  8. Increment with a given prefix

    Need a code that can increment 1 number with a prefix. For example Enter prefix > J- Enter number to start > 4 Now, with every click anywhere on a drawing it should make a text with...

    Started by lucky9‎, Yesterday 03:43 am
    • Replies: 6
    • Views: 164
    Yesterday 05:05 pm Go to last post
  9. Idea Specify the name of the sheet from the index

    I have already written a program for regular indexing with coordinates. But if the index is made of irregular rectangles :unsure: I have an irregular index. I want to send a message based on the...

    Started by ehsantavassolian‎, 5th May 2018 08:05 am
    • Replies: 8
    • Views: 480
    Yesterday 02:20 pm Go to last post
  10. AutoCAD Increase the space between multiple lines

    Hello Everyone I have a electrical schematic drawing..but the lines are very close to each other. I want to increase the space between the lines..(stretch or something like that)... Is any possible...

    Started by acad1985‎, 14th Jun 2018 02:54 pm
    2 Pages
    1 2
    • Replies: 14
    • Views: 486
    Yesterday 01:15 pm Go to last post
  11. Unhappy Find the lisp and please help me to get the e & n as prefix in the coordinate text

    When I Load this lisp the object snap disappearing can you please fix this issue also?

    Started by samsudeenmanoos‎, Yesterday 10:25 am
    • Replies: 4
    • Views: 115
    Yesterday 12:34 pm Go to last post
  12. Select all blocks crossing by specific polylines

    Dear all, I am looking for lisp to select all blocks crossing by specific polylines. I have scheme of ventilation ducting system drawn by polylines where are inserted flow dampers. My polylines...

    Started by Jozef13‎, 17th Jun 2018 05:13 pm
    • Replies: 4
    • Views: 214
    Yesterday 08:07 am Go to last post
  13. Smile LISP Sq.Ft

    Hi All, Could anyone help me please?... I have been looking for a LISP file that calculates sq.ft. of a closed polyline and generates a sq.ft. text inside the polyline. Unit of the file that I...

    Started by hhhhhhhanna3‎, 16th Jun 2018 07:37 pm
    area, lisp, sq.ft.
    • Replies: 2
    • Views: 173
    Yesterday 03:17 am Go to last post
  14. Mtext Paragraph Alignment

    i have been searching for months for something that would help me out with this. i am looking for something that will work with MTEXT. when i search for justification it seems to change where the...

    Started by dnovember99‎, 19th Jun 2018 04:24 pm
    • Replies: 2
    • Views: 138
    19th Jun 2018 10:41 pm Go to last post
  15. entmod block location does not move attributes

    Hello all, I am using some reactors to manipulate my drawings. Since i use reactors, i have to use ENTMOD to update drawing entites. Now i want to move a block with attributes. When i entmod...

    Started by Aftertouch‎, 19th Jun 2018 01:37 pm
    • Replies: 4
    • Views: 136
    19th Jun 2018 10:34 pm Go to last post
  16. Associate objects with LISP?

    Hello all, Is it possible to make certain objects associated with each other? For example: I pick two points. A line is drawn between those points. A block is placed on the end of the line....

    Started by Aftertouch‎, 18th Jun 2018 10:35 am
    • Replies: 3
    • Views: 189
    19th Jun 2018 10:45 am Go to last post
  17. Modify & Improve existing routine

    Hello, I am currently using a function that dimensions a 2D line and generates text to display the relevant dimension and I am trying to figure out if I can specify a particular position for the...

    Started by Want2LispForever‎, 6th Jun 2018 08:54 am
    • Replies: 7
    • Views: 353
    19th Jun 2018 05:32 am Go to last post
  18. lisp to toggle a specific attribute visible/invisible

    Hi all, I have a lisp to switch the visibility off all the attributes off my drawing with a specific TAG (e.g. TAG1) . The lisp scan all the blocks containing this TAG. But i have to type on the...

    Started by Astro‎, 6th Aug 2009 01:16 pm
    3 Pages
    1 2 3
    • Replies: 23
    • Views: 13,335
    18th Jun 2018 10:27 am Go to last post
  19. double selection of pline

    hi everyone im attaching part of code that im using (some lines wrote by lee-mac) the problem in the code is that i need to choose the same pline twice (setq ent / setq se2) i try everything with...

    Started by mousho‎, 16th Jun 2018 11:13 am
    • Replies: 5
    • Views: 195
    18th Jun 2018 03:28 am Go to last post
  20. "IF"

    (defun c:www (/ P1 P2 Dist1 Dist2 Ang1 hole1a hole1b) (savevartoold) (setq P1 (getpoint "\n Select a Point : ")) (setq P2 (getpoint P1 "\n Select a Point : ")) (setq...

    Started by TunzaGibbo‎, 14th Jun 2018 02:33 pm
    3 Pages
    1 2 3
    • Replies: 20
    • Views: 509
    18th Jun 2018 12:11 am Go to last post
  21. Error. Variable setting.

    Hello. In my program, I'm trying to assign a variable to a variable through a dialog: :edit_box{label=Text Height;key=get_txtheight;edit_width=5;value=2;} Then: (setq TextHeight (atoi...

    Started by dilan‎, 15th Jun 2018 03:44 am
    2 Pages
    1 2
    • Replies: 17
    • Views: 374
    16th Jun 2018 09:24 am Go to last post
  22. Get Excel cell data into variables

    Hello all, I found a lisp on a forum that can bring selected excel cells to Autocad. This comes in the direction of what I would like to have. But now the outcome comes with an alert box. Is it...

    Started by pmxcad‎, 4th Jun 2018 05:31 pm
    3 Pages
    1 2 3
    • Replies: 28
    • Views: 800
    15th Jun 2018 08:57 pm Go to last post
  23. AutoCAD Manual Entry between Lisp Routine.

    Hi Everyone. I have Lisp file to make double offset, offset distance are getting automatically as per lisp. but i want enter that distance manually and that entered value will be taken as offset...

    Started by gmmdinesh‎, 13th Jun 2018 09:14 am
    2 Pages
    1 2
    • Replies: 14
    • Views: 356
    14th Jun 2018 02:57 pm Go to last post
  24. Obtain ObjID from a Flip Parameter inside a block

    Hello everyone, I have the next problem: I have a dynamic "door block" which contains an attribute. (see attachment) I want thru autolisp to assign the flip value to the attribute. If I...

    Started by svorgodne‎, 14th Jun 2018 11:36 am
    • Replies: 3
    • Views: 194
    14th Jun 2018 02:46 pm Go to last post
  25. Autolisp to annotate 3d point z value

    Hei, Can enyone make autolisp to annotate 3d point z value! Best, MRe

    Started by Margusrebase‎, 13th Jun 2018 01:39 pm
    annotate z value, autolisp
    • Replies: 5
    • Views: 219
    14th Jun 2018 12:47 pm Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts